# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class CdgDossier(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'cg_no': 'int',
        'type_label': 'str',
        'name': 'str',
        'cg_no_supp': 'int'
    }

    attribute_map = {
        'cg_no': 'cg_no',
        'type_label': 'type_label',
        'name': 'name',
        'cg_no_supp': 'cg_no_supp'
    }

    def __init__(self, cg_no=None, type_label=None, name=None, cg_no_supp=None):  # noqa: E501
        """CdgDossier - a model defined in Swagger"""  # noqa: E501
        self._cg_no = None
        self._type_label = None
        self._name = None
        self._cg_no_supp = None
        self.discriminator = None
        if cg_no is not None:
            self.cg_no = cg_no
        if type_label is not None:
            self.type_label = type_label
        if name is not None:
            self.name = name
        if cg_no_supp is not None:
            self.cg_no_supp = cg_no_supp

    @property
    def cg_no(self):
        """Gets the cg_no of this CdgDossier.  # noqa: E501


        :return: The cg_no of this CdgDossier.  # noqa: E501
        :rtype: int
        """
        return self._cg_no

    @cg_no.setter
    def cg_no(self, cg_no):
        """Sets the cg_no of this CdgDossier.


        :param cg_no: The cg_no of this CdgDossier.  # noqa: E501
        :type: int
        """

        self._cg_no = cg_no

    @property
    def type_label(self):
        """Gets the type_label of this CdgDossier.  # noqa: E501


        :return: The type_label of this CdgDossier.  # noqa: E501
        :rtype: str
        """
        return self._type_label

    @type_label.setter
    def type_label(self, type_label):
        """Sets the type_label of this CdgDossier.


        :param type_label: The type_label of this CdgDossier.  # noqa: E501
        :type: str
        """

        self._type_label = type_label

    @property
    def name(self):
        """Gets the name of this CdgDossier.  # noqa: E501


        :return: The name of this CdgDossier.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this CdgDossier.


        :param name: The name of this CdgDossier.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def cg_no_supp(self):
        """Gets the cg_no_supp of this CdgDossier.  # noqa: E501


        :return: The cg_no_supp of this CdgDossier.  # noqa: E501
        :rtype: int
        """
        return self._cg_no_supp

    @cg_no_supp.setter
    def cg_no_supp(self, cg_no_supp):
        """Sets the cg_no_supp of this CdgDossier.


        :param cg_no_supp: The cg_no_supp of this CdgDossier.  # noqa: E501
        :type: int
        """

        self._cg_no_supp = cg_no_supp

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CdgDossier, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CdgDossier):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
